Debian Bug report logs - #547762
scratchbox2: bashism in /bin/sh script

version graph

Package: scratchbox2; Maintainer for scratchbox2 is Riku Voipio <riku.voipio@iki.fi>; Source for scratchbox2 is src:scratchbox2.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Tue, 22 Sep 2009 04:09:01 UTC

Severity: important

Tags: patch

Found in version scratchbox2/2.0-3

Fixed in version scratchbox2/2.2.3-1debian1

Done: Riku Voipio <riku.voipio@linaro.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Riku Voipio <riku.voipio@iki.fi>:
Bug#547762; Package scratchbox2. (Tue, 22 Sep 2009 04:09:04 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: scratchbox2: bashism in /bin/sh script
Date: Mon, 21 Sep 2009 22:57:35 -0500
Package: scratchbox2
Severity: important
Version: 2.0-3
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/share/scratchbox2/wrappers/gdb line 34 (sourced
> script with arguments):
>	  . $sbox_dir/share/scratchbox2/modeconf/sb2rc.$sbox_mapmode
> "$progbase"


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours. Please be aware that dash is now the default /bin/sh.

Hints about how to fix bashisms can be found at:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, Riku Voipio <riku.voipio@iki.fi>:
Bug#547762; Package scratchbox2. (Sun, 14 Mar 2010 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to taz <neverlock@gmail.com>:
Extra info received and forwarded to list. Copy sent to Riku Voipio <riku.voipio@iki.fi>. (Sun, 14 Mar 2010 11:36:04 GMT) Full text and rfc822 format available.

Message #8 received at 547762@bugs.debian.org (full text, mbox):

From: taz <neverlock@gmail.com>
To: Debian Bug Tracking System <547762@bugs.debian.org>
Subject: Re: bashism in /bin/sh script
Date: Sun, 14 Mar 2010 18:33:09 +0700
[Message part 1 (text/plain, inline)]
Package: scratchbox2
Severity: normal

Hello maintainer,

I have been fix bashisms (sourced script with arguments)
with diff in attach file please recheck script sequence

Thank you
Chanchai Junlouchai


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[547762.diff (text/plain, attachment)]

Added tag(s) patch. Request was from Chanchai Junlouchai <neverlock@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 02:54:04 GMT) Full text and rfc822 format available.

Reply sent to Riku Voipio <riku.voipio@linaro.org>:
You have taken responsibility. (Tue, 12 Jul 2011 08:57:04 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Tue, 12 Jul 2011 08:57:10 GMT) Full text and rfc822 format available.

Message #15 received at 547762-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@linaro.org>
To: 547762-close@bugs.debian.org
Subject: Bug#547762: fixed in scratchbox2 2.2.3-1debian1
Date: Tue, 12 Jul 2011 08:55:57 +0000
Source: scratchbox2
Source-Version: 2.2.3-1debian1

We believe that the bug you reported is fixed in the latest version of
scratchbox2, which is due to be installed in the Debian FTP archive:

libsb2_2.2.3-1debian1_amd64.deb
  to main/s/scratchbox2/libsb2_2.2.3-1debian1_amd64.deb
scratchbox2_2.2.3-1debian1.dsc
  to main/s/scratchbox2/scratchbox2_2.2.3-1debian1.dsc
scratchbox2_2.2.3-1debian1.tar.gz
  to main/s/scratchbox2/scratchbox2_2.2.3-1debian1.tar.gz
scratchbox2_2.2.3-1debian1_amd64.deb
  to main/s/scratchbox2/scratchbox2_2.2.3-1debian1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547762@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@linaro.org> (supplier of updated scratchbox2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 12 Jul 2011 10:41:38 +0300
Source: scratchbox2
Binary: scratchbox2 libsb2
Architecture: source amd64
Version: 2.2.3-1debian1
Distribution: unstable
Urgency: low
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Changed-By: Riku Voipio <riku.voipio@linaro.org>
Description: 
 libsb2     - Scratchbox2 libraries
 scratchbox2 - Transparent cross compiling environment
Closes: 547762 632103
Changes: 
 scratchbox2 (2.2.3-1debian1) unstable; urgency=low
 .
   * Add more recommends
   * Fix FTBFS wth ld --as-needed, closes: #632103
   * Fix bashism, closes: #547762
Checksums-Sha1: 
 666cfa0d5c0e6f1980440b2fcb77e3e104495e7e 1048 scratchbox2_2.2.3-1debian1.dsc
 9177cdbea87447ac9047f17203f9bbefe6afa70e 555896 scratchbox2_2.2.3-1debian1.tar.gz
 0d9ff23f1b222d1f1b9ba9f62a1709ee88d44704 135822 scratchbox2_2.2.3-1debian1_amd64.deb
 0fa4dd3f160ccaf4feb8438653b91416e9dd22b1 341346 libsb2_2.2.3-1debian1_amd64.deb
Checksums-Sha256: 
 fddfda784c824fadfb7d8dbb7f7e60e520f084ae95aa38acafcfca815dc9245e 1048 scratchbox2_2.2.3-1debian1.dsc
 a2e423049c518f6d983d91e576b05d4ffc5fd36875283139ebb21a7881d69b10 555896 scratchbox2_2.2.3-1debian1.tar.gz
 5d80bc5fd6b1786e515f8a2716a9db2254c5c956f00e7f7987b4fe61eea64a21 135822 scratchbox2_2.2.3-1debian1_amd64.deb
 d60cbbf410d10330a102b1be2b28352ff0168ad30a179f9a9f4d63bb72995b94 341346 libsb2_2.2.3-1debian1_amd64.deb
Files: 
 e416e92a6be48cb37cdfcb0584a86748 1048 utils extra scratchbox2_2.2.3-1debian1.dsc
 a533a0455d5d09a19f9be9b84839b435 555896 utils extra scratchbox2_2.2.3-1debian1.tar.gz
 2413d2ca5a7bb54ec84508a738a99293 135822 utils extra scratchbox2_2.2.3-1debian1_amd64.deb
 f23f5a0bd0fd6d881698c2f62dda476e 341346 utils extra libsb2_2.2.3-1debian1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOHADBibPvMsrqrwMRAlbbAJ9xJh5nWqdn2Ghap2Lo+CcMR/WMpgCg9HL+
w6VAFQa0twa+OBgs3lqksMs=
=KKC1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 10 Aug 2011 07:37:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:01:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.